summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPiotr Karbowski <slashbeast@gentoo.org>2020-08-08 21:59:01 +0200
committerPiotr Karbowski <slashbeast@gentoo.org>2020-08-08 22:00:27 +0200
commit4862dc8bd86bb9810de3088b4ffacc42015736f0 (patch)
treef460a52365ba6d97d649a2a36e19e35294fe152a
parentkde.org.eclass: Switch EGIT_MIRROR to https://invent.kde.org/kde (diff)
downloadgentoo-4862dc8bd86bb9810de3088b4ffacc42015736f0.tar.gz
gentoo-4862dc8bd86bb9810de3088b4ffacc42015736f0.tar.bz2
gentoo-4862dc8bd86bb9810de3088b4ffacc42015736f0.zip
sys-fs/mergerfs: 2.30.0 bump
Version bump; Now uses environmental provided AR, CFLAGS, CXXFLAGS and LDFLAGS. Closes: https://bugs.gentoo.org/725978 Closes: https://bugs.gentoo.org/728158 Signed-off-by: Piotr Karbowski <slashbeast@gentoo.org>
-rw-r--r--sys-fs/mergerfs/Manifest1
-rw-r--r--sys-fs/mergerfs/files/mergerfs-makefiles-fixes-ar-cflags-cxxflags-ldflags.patch83
-rw-r--r--sys-fs/mergerfs/mergerfs-2.30.0.ebuild56
3 files changed, 140 insertions, 0 deletions
diff --git a/sys-fs/mergerfs/Manifest b/sys-fs/mergerfs/Manifest
index 88f463eb87b..c11a9c9ff41 100644
--- a/sys-fs/mergerfs/Manifest
+++ b/sys-fs/mergerfs/Manifest
@@ -1,2 +1,3 @@
DIST mergerfs-2.28.3.tar.gz 294065 BLAKE2B 2e59e00726aec53438d5a5df143ca204069794d68c663a130139102a19e118a54fede1c8eca99199a3e634ffa92cb21c25c30718ea0842826de8a64e876b2819 SHA512 5469b3515464680aa72fc393c218fb038bed31194a933e6736eec478d87a110979323308b642d7f100a5c506534ca75badf4a87a050007cdc77cd2a641217929
DIST mergerfs-2.29.0.tar.gz 302391 BLAKE2B a7d051c63b12a95af2868d8b3be9b32aa1be3d9c4cc4e359914b07e18ed30dadece80861ad559d5cdd85b375f565b9e70dac9ad3e34b98c054dd54822897c1a6 SHA512 2c21dedffc2f261c6c8427af59cffcacacc9b67bce7bb9989bd5946aa645c68bac0f56250ec19710e586a00892f7198853390bea3ff5981035d5a492ae4569a2
+DIST mergerfs-2.30.0.tar.gz 316560 BLAKE2B 7e6be39cfa5f085aabbc928e1da9c0bf1f6442be1de4ccef1868832c852d138901071129cf7feff19b13dd5939c5fff56520c5292473b92c71a85430818ab25c SHA512 6914c5efa783d66293ebcce0a6a493267eedfa45ac058cd24b2024aea15a866b997f4474363e4ababa4af59d302466c5f8c6b9f07ee42f7661b335d4701315b4
diff --git a/sys-fs/mergerfs/files/mergerfs-makefiles-fixes-ar-cflags-cxxflags-ldflags.patch b/sys-fs/mergerfs/files/mergerfs-makefiles-fixes-ar-cflags-cxxflags-ldflags.patch
new file mode 100644
index 00000000000..05166bacd87
--- /dev/null
+++ b/sys-fs/mergerfs/files/mergerfs-makefiles-fixes-ar-cflags-cxxflags-ldflags.patch
@@ -0,0 +1,83 @@
+diff --git a/Makefile b/Makefile
+index 6c38066..d98021c 100644
+--- a/Makefile
++++ b/Makefile
+@@ -61,13 +61,14 @@ SRC = $(wildcard src/*.cpp)
+ OBJS = $(SRC:src/%.cpp=build/%.o)
+ DEPS = $(SRC:src/%.cpp=build/%.d)
+ MANPAGE = mergerfs.1
+-CXXFLAGS = \
++CXXFLAGS ?= ${OPT_FLAGS}
++CXXFLAGS := \
++ ${CXXFLAGS} \
+ -std=c++0x \
+- $(OPT_FLAGS) \
+ $(STATIC_FLAGS) \
+ $(LTO_FLAGS) \
+ -Wall \
+- -Wno-unused-result \
++ -Wno-unused-result \
+ -MMD
+ FUSE_FLAGS = \
+ -Ilibfuse/include \
+@@ -76,9 +77,11 @@ FUSE_FLAGS = \
+ MFS_FLAGS = \
+ -DUSE_XATTR=$(USE_XATTR) \
+ -DUGID_USE_RWLOCK=$(UGID_USE_RWLOCK)
+-LDFLAGS = \
+- -pthread \
+- -lrt
++
++LDFLAGS := \
++ ${LDFLAGS} \
++ -pthread \
++ -lrt
+
+ DESTDIR =
+ PREFIX = /usr/local
+diff --git a/libfuse/Makefile b/libfuse/Makefile
+index e3001aa..2bbc45a 100644
+--- a/libfuse/Makefile
++++ b/libfuse/Makefile
+@@ -29,6 +29,8 @@ INSTALLBINDIR = $(DESTDIR)$(BINDIR)
+ INSTALLSBINDIR = $(DESTDIR)$(SBINDIR)
+ INSTALLMAN1DIR = $(DESTDIR)$(MAN1DIR)
+
++AR ?= ar
++
+ SRC = \
+ lib/buffer.c \
+ lib/cuse_lowlevel.c \
+@@ -46,9 +48,10 @@ SRC = \
+ lib/mount.c
+ OBJS = $(SRC:lib/%.c=build/%.o)
+ DEPS = $(SRC:lib/%.c=build/%.d)
+-
+-CFLAGS = \
+- $(OPT_FLAGS) \
++CFLAGS ?= \
++ $(OPT_FLAGS)
++CFLAGS := \
++ ${CFLAGS} \
+ -Wall \
+ -pipe \
+ -MMD
+@@ -61,7 +64,8 @@ FUSE_FLAGS = \
+ -DFUSE_USE_VERSION=29 \
+ -DPACKAGE_VERSION=\"$(VERSION)\" \
+ -DFUSERMOUNT_DIR=\"$(FUSERMOUNT_DIR)\"
+-LDFLAGS = \
++LDFLAGS := \
++ ${LDFLAGS} \
+ -lrt \
+ -pthread
+
+@@ -78,7 +82,7 @@ objects: build/config.h
+ $(MAKE) $(OBJS)
+
+ build/libfuse.a: objects
+- ar rcs build/libfuse.a $(OBJS)
++ ${AR} rcs build/libfuse.a $(OBJS)
+
+ utils: mergerfs-fusermount mount.mergerfs
+
diff --git a/sys-fs/mergerfs/mergerfs-2.30.0.ebuild b/sys-fs/mergerfs/mergerfs-2.30.0.ebuild
new file mode 100644
index 00000000000..e18bed54889
--- /dev/null
+++ b/sys-fs/mergerfs/mergerfs-2.30.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="A featureful union filesystem"
+HOMEPAGE="https://github.com/trapexit/mergerfs"
+
+SRC_URI="https://github.com/trapexit/mergerfs/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+# Vendorized libfuse that's bundled is under LGPL-2.1.
+LICENSE="ISC LGPL-2.1"
+SLOT="0"
+IUSE="+xattr"
+
+DEPEND="
+ xattr? ( sys-apps/attr )
+"
+
+RDEPEND="${DEPEND}"
+
+BDEPEND="sys-devel/gettext"
+
+PATCHES=(
+ "${FILESDIR}"/mergerfs-makefiles-fixes-ar-cflags-cxxflags-ldflags.patch
+)
+
+src_prepare() {
+ default
+
+ # Hand made build system at it's finest.
+ echo -e "#!/bin/sh\ntrue" >tools/update-version || die
+ echo "#pragma once" >src/version.hpp || die
+ echo "static const char MERGERFS_VERSION[] = \"${PV}\";" >>src/version.hpp || die
+
+ if ! use xattr; then
+ sed 's%USE_XATTR = 1%USE_XATTR = 0%g' -i Makefile || die
+ fi
+}
+
+src_compile() {
+ # https://bugs.gentoo.org/725978
+ tc-export AR
+
+ default
+}
+
+src_install() {
+ dobin build/mergerfs
+ dosym mergerfs /usr/bin/mount.mergerfs
+ dodoc README.md
+ doman man/mergerfs.1
+}